Introduction

ohjnewtopic=Introduction=endtopic

Use the Oracle Enterprise Login Assistant to enable a set of client side credentials that allow Oracle applications running on servers to automatically log on to the client.

See:

Enable Automatic Login

Log Out

Note:

You must first use the Oracle Wallet Manager to create wallets and install them on clients and servers before you can enable automatic login.


Enable Automatic Login

ohjnewtopic=Enable_Automatic_Login=endtopic

The Automatic Login feature of the Oracle Enterprise Login Assistant enables applications running on a server to revalidate themselves to the client in the event the server goes down. Once the server is brought back up, Oracle applications running on the server will automatically authenticate themselves to the client. Enable secure SSL based communications as follows.

  1. Click AutoLogin on the menu bar.

  2. Click Login on the drop down menu.

  3. The Login pane appears.

  4. Type the wallet password.

  5. Click OK.

  6. The wallet is downloaded from the directory service, or it is found in a file directory.

  7. The application then creates a .sso (single sign on) copy of the wallet and opens the .sso copy of the wallet.

  8. You are returned to the Oracle Enterprise Login Assistant pane. A message at the bottom left hand corner of the pane displays "Autologin enabled".


Log Out

ohjnewtopic=Log_Out=endtopic

Use the Oracle Enterprise Login Assistant to disable single sign on communications from server side applications to the client. Log out as follows:

  1. Click AutoLogin on the menu bar.

  2. Click Logout on the drop down menu.

  3. A dialog box displays with the warning "If you log out, your applications will no longer use the security credentials of your wallet".

  4. Click Yes to continue.

  5. You are returned to the Oracle Enterprise Login Assistant pane. A message at the bottom left hand corner of the pane displays "Autologin not enabled".


Change Password

ohjnewtopic=Change_Password=endtopic

Change the wallet password whenever you think that the password has been compromised or according to company policy. Change the wallet password as follows.

  1. Click AutoLogin on the menu bar.

  2. Click Change Password on the drop down menu.

  3. The Change Password pane appears.

  4. Type the existing password in the Old Password field.

  5. Read the text that describes how to create more secure passwords.

  6. Type the new password in the New password field.

  7. Type the new password again in the Confirm password field.

  8. Click OK to continue.

  9. A dialog box displays the message "Password changed successfully".

  10. Click OK to dismiss this dialog box.